:root {
	--highcharts-color-0:#FF0800;
	--highcharts-color-1:#0FC0FC;
	--highcharts-color-2:#FFD600;
	--highcharts-color-3:#BA55D3;
	--highcharts-color-4:#00FF00;
	--highcharts-color-5:#179AA4;
	--highcharts-color-6:#78DD71;
	--highcharts-color-7:#6893CA;
	--highcharts-color-8:#FC759D;
	--highcharts-color-9:#FC759D;

	--highcharts-neutral-color-3:var(--backgroundColorAlpha);
}

.highcharts-container { font-size:1.2rem; }
.highcharts-legend-item span { font-size:0.9em; }

.highcharts-background { fill:transparent;  } /* var(--backgroundColor); */

.highcharts-container text { fill: var(--fontColor); } /*  font-size:0.9rem; */

.highcharts-grid-line { stroke: var(--lineColor); stroke-opacity:0.8; }
.highcharts-minor-grid-line { stroke:var(--backgroundColorLight); stroke-opacity:0.8; }

.highcharts-tooltip-box { fill:var(--backgroundColor); }
.highcharts-column-series rect.highcharts-point { stroke: var(--backgroundColorDeep); }

.highcharts-heatmap-series .highcharts-point { stroke-width:1px; }

.highcharts-boxplot-box { fill:var(--backgroundColor); }
.highcharts-boxplot-whisker { stroke-width: 2px; }
.highcharts-boxplot-median { stroke-width:2px; }
.highcharts-boxplot-series .highcharts-point { stroke-width:2px; } /* box */

.highcharts-boxplot-stem { stroke-width:2px; }   /*  stroke: #a63400; */



.highcharts-xaxis-grid .highcharts-grid-line { stroke-width:1px; }

.highcharts-axis-line { stroke:none; }

.highcharts-tooltip { font-weight:bold; }
.highcharts-label > span {
    width: max-content !important;
}
.highcharts-axis-labels > span {
    width: max-content !important;
}



.highcharts-container text.highcharts-title { fill:var(--fontColorButton); font-weight:bold; font-size:1.1em; }
.highcharts-subtitle { font-family:"Courier New", monospace; font-style:italic; fill:#7cb5ec; }

/* exam level color */
.highcharts-color-51 { fill:var(--examLevelColor1); stroke:var(--examLevelColor1); }
.highcharts-color-52 { fill:var(--examLevelColor2); stroke:var(--examLevelColor2); }
.highcharts-color-53 { fill:var(--examLevelColor3); stroke:var(--examLevelColor3); }
.highcharts-color-54 { fill:var(--examLevelColor4); stroke:var(--examLevelColor4); }
.highcharts-color-55 { fill:var(--examLevelColor5); stroke:var(--examLevelColor5); }
.highcharts-color-56 { fill:var(--examLevelColor6); stroke:var(--examLevelColor6); }
.highcharts-color-57 { fill:var(--examLevelColor7); stroke:var(--examLevelColor7); }
.highcharts-color-58 { fill:var(--examLevelColor8); stroke:var(--examLevelColor8); }
.highcharts-color-59 { fill:var(--examLevelColor9); stroke:var(--examLevelColor9); }

.highcharts-color-510 { fill:var(--bgColor1); stroke:var(--bgColor1); }
.highcharts-color-511 { fill:var(--bgColor2); stroke:var(--bgColor2); }
.highcharts-color-512 { fill:var(--bgColor3); stroke:var(--bgColor3); }
.highcharts-color-513 { fill:var(--bgColor4); stroke:var(--bgColor4); }
.highcharts-color-514 { fill:var(--bgColor5); stroke:var(--bgColor5); }
.highcharts-color-515 { fill:var(--bgColor6); stroke:var(--bgColor6); }
.highcharts-color-516 { fill:var(--bgColor7); stroke:var(--bgColor7); }
.highcharts-color-517 { fill:var(--bgColor8); stroke:var(--bgColor8); }
.highcharts-color-518 { fill:var(--bgColor8); stroke:var(--bgColor9); }
.highcharts-color-519 { fill:var(--bgColor8); stroke:var(--bgColor10); }
.highcharts-color-520 { fill:var(--bgColor8); stroke:var(--bgColor11); }
.highcharts-color-521 { fill:var(--bgColor8); stroke:var(--bgColor12); }
.highcharts-color-522 { fill:var(--bgColor8); stroke:var(--bgColor13); }

.highcharts-color-95, .highcharts-color-95 text { fill:var(--backgroundColored2); stroke:var(--backgroundColored2); } /* 강조색 */
.highcharts-color-99 { fill:var(--lineColor); stroke:var(--lineColor); } /* 회색 */
.highcharts-color-100 { fill:var(--fontColor); stroke:var(--fontColor); } /* 회색 */

/* series label color */
.highcharts-color-0 text { fill:var(--highcharts-color-0) !important ; }
.highcharts-color-1 text { fill:var(--highcharts-color-1) !important ; }
.highcharts-color-2 text { fill:var(--highcharts-color-2) !important ; }
.highcharts-color-3 text { fill:var(--highcharts-color-3) !important ; }
.highcharts-color-4 text { fill:var(--highcharts-color-4) !important ; }
.highcharts-color-5 text { fill:var(--highcharts-color-5) !important ; }
.highcharts-color-6 text { fill:var(--highcharts-color-6) !important ; }
.highcharts-color-7 text { fill:var(--highcharts-color-7) !important ; }
.highcharts-color-8 text { fill:var(--highcharts-color-8) !important ; }
.highcharts-color-9 text { fill:var(--highcharts-color-9) !important ; }

.highcharts-null-point {
    fill: var(--highcharts-neutral-color-3) !important;
}

/* new class */
.highcharts_tooltip { border:var(--border); color:var(--fontColor); background-color:var(--backgroundColor); } /* 사용안함 */

.highcharts_plotband0 { fill-opacity:0; }
.highcharts_plotband1 { fill-opacity:0.05; }
.highcharts_plotband2 { fill-opacity:0.15; }


.highcharts_nogridline { stroke-width: 0px; }
.highcharts_noline > .highcharts-graph { stroke-width:0px; }

.highcharts_plotline { fill:var(--examLevelColor7); stroke:var(--examLevelColor7); stroke-width:3px; }
.highcharts_plotline_99 { fill:var(--lineColor); stroke:var(--lineColor); stroke-width:2px; }

.highcharts_plotline_51 { fill:var(--examLevelColor1); stroke:var(--examLevelColor1); stroke-width:2px; }
.highcharts_plotline_52 { fill:var(--examLevelColor2); stroke:var(--examLevelColor2); stroke-width:2px; }
.highcharts_plotline_53 { fill:var(--examLevelColor3); stroke:var(--examLevelColor3); stroke-width:2px; }
.highcharts_plotline_54 { fill:var(--examLevelColor4); stroke:var(--examLevelColor4); stroke-width:2px; }
.highcharts_plotline_55 { fill:var(--examLevelColor5); stroke:var(--examLevelColor5); stroke-width:2px; }
.highcharts_plotline_56 { fill:var(--examLevelColor6); stroke:var(--examLevelColor6); stroke-width:2px; }
.highcharts_plotline_57 { fill:var(--examLevelColor7); stroke:var(--examLevelColor7); stroke-width:2px; }
.highcharts_plotline_58 { fill:var(--examLevelColor8); stroke:var(--examLevelColor8); stroke-width:2px; }
.highcharts_plotline_59 { fill:var(--examLevelColor9); stroke:var(--examLevelColor9); stroke-width:2px; }

.highcharts_fontsize_9 { font-size:0.9rem !important; }
.highcharts_fontsize_8 { font-size:0.9rem !important; }
.highcharts_fontsize_7 { font-size:0.85rem !important; }
.highcharts_fontsize_6 { font-size:0.8rem !important; }
.highcharts_fontsize_5 { font-size:0.75rem !important; }
.highcharts_fontsize_4 { font-size:0.7rem !important; }

